# pgpPktSig_u Union Reference

5.2. More...

`#include <rpmpgp.h>`

## Data Fields

pgpPktSigV3_s | v3
pgpPktSigV4_s | v4

## Detailed Description

5.2.

Signature Packet (Tag 2)

A signature packet describes a binding between some public key and some data. The most common signatures are a signature of a file or a block of text, and a signature that is a certification of a user ID.

Two versions of signature packets are defined. Version 3 provides basic signature information, while version 4 provides an expandable format with subpackets that can specify more information about the signature. PGP 2.6.x only accepts version 3 signatures.

Implementations MUST accept V3 signatures. Implementations SHOULD generate V4 signatures. Implementations MAY generate a V3 signature that can be verified by PGP 2.6.x.

Note that if an implementation is creating an encrypted and signed message that is encrypted to a V3 key, it is reasonable to create a V3 signature.

Definition at line 485 of file rpmpgp.h.

## Field Documentation

struct pgpPktSigV3_s pgpPktSig_u::v3

| Definition at line 486 of file rpmpgp.h.

struct pgpPktSigV4_s pgpPktSig_u::v4

| Definition at line 487 of file rpmpgp.h.

The documentation for this union was generated from the following file:

- rpmio/rpmpgp.h